var fs = require('fs');
var path = require('path');
var shell = require('child_process');

shell.execSync(`svn up ${path.join(__dirname, '../cehua')}`);
shell.exec(`node ${path.join(__dirname, '../cehua/_creatJsonType.js')} ${path.join(__dirname, 'src/gamejson')}`, (err, stdout, stderr) => {
    if (stdout) {

        fs.writeFileSync('src/jsonType.ts', stdout + `

declare global {
    type _gcType = gcType;
}

export function initGcType () {
    
}
        `);
    }
});